# company_func.h File Reference

Functions related to companies. More...

`#include "core/math_func.hpp"`
`#include "company_type.h"`
`#include "tile_type.h"`
`#include "strings_type.h"`
`#include "gfx_type.h"`

Go to the source code of this file.

## Functions
void | ChangeOwnershipOfCompanyItems (Owner old_owner, Owner new_owner)
void | GetNameOfOwner (Owner owner, TileIndex tile)
void | SetLocalCompany (CompanyID new_company)
| Sets the local company and updates the settings that are set on a per-company basis to reflect the core's state in the GUI.
bool | IsHumanCompany (CompanyID company)
static bool | IsLocalCompany ()
static bool | IsInteractiveCompany (CompanyID company)
## Variables
CompanyByte | _local_company
CompanyByte | _current_company
Colours | _company_colours [MAX_COMPANIES]
| NOSAVE: can be determined from company structs.
CompanyManagerFace | _company_manager_face
| for company manager face storage in openttd.cfg

## Detailed Description

Functions related to companies.

Definition in file company_func.h.

## Function Documentation

void SetLocalCompany | ( | CompanyID | new_company | ) |

Sets the local company and updates the settings that are set on a per-company basis to reflect the core's state in the GUI.

Parameters:

  | new_company | the new company

Precondition:
  IsValidCompanyID(new_company) || new_company == COMPANY_SPECTATOR || new_company == OWNER_NONE

Definition at line 78 of file company_cmd.cpp.

References _settings_client, GUISettings::autorenew, GUISettings::autorenew_money, GUISettings::autorenew_months, COMPANY_SPECTATOR, DeleteConstructionWindows(), ClientSettings::gui, InvalidateWindow(), MarkWholeScreenDirty(), and OWNER_NONE.

Referenced by ClickChangeCompanyCheat(), CmdCompanyCtrl(), GenerateWorld(), and StartScenario().